@import './_variables.scss';
.bookcard{
  padding: .875rem 1rem .875rem 1rem;
  background-color: #fff;
  border-radius: 5px;
  box-shadow: 0 1px 15px 1px rgba(69, 65, 78, 0.08);
  border: none;
  transition: all 0.4s ease-in-out 0s;
  margin-bottom: 24px;
  position: relative;
  width: calc(100% - 240px) !important;
  float: right;
  height: auto;
  .cardheader{
    margin: 20px;
    height: 5%;
    .card-title{
      margin: 15px;
    }
  }
  .card-image{
    height: 250px;
    text-align: -webkit-center;
    text-align: -moz-center;
    text-align: -ms-center;
    text-align: -o-center;
    text-align: center;
    overflow: hidden;
    img{
      width: 100%;
      height: auto;
    }
  }
  .cardfooter{
    text-align: right;
    margin: 0px 24px;
    .card-button{
      padding: 4px 16px;
      min-height: 30px;
      text-transform: initial;
      margin: 5px;
      font-size: 16px;
    }
    .details{
      background-color: $cyan;
      color: $white;
      &:hover{
        background-color: darken($cyan, 5%);
      }
    }
  }
}

//custom pagination
.paginationDiv{
  display: inline-block;
  float: right;
  margin: 20px 30px 0 0px;
.pagination{
  li{
    display: inline-block;
    a{
      color: #5D92F4;
      float: left;
      padding: 8px 15px;
      border: 1px solid $gray-300;
      margin: 0;
      border-radius: 0;
    }
    a:hover{
        color: #1562ef;
        text-decoration: none;
        background-color: $gray-200 !important;
        border-color: $gray-300;
    }
  }
  li.active{
    a{
      z-index: 1;
      color: #fff;
      background-color: #5D92F4;
      border-color: #5D92F4;
    }
    a:hover{
        color: #fff;
        text-decoration: none;
        background-color: #5D92F4 !important;
        border-color: #5D92F4;
    }
  }
  li:first-child{
    a{
      border-top-left-radius: 5px;
      border-bottom-left-radius: 5px;
      border-right: none;
    }
  }
  li:last-child{
    a{
      border-top-right-radius: 5px;
      border-bottom-right-radius: 5px;
      border-left: none;
    }
  }
}
}


.data-slice {
  margin-top: 15px;
}

@media(max-width: 959px) and (min-width: 100px){
  .bookcard{
    padding: .875rem 1rem .875rem 1rem;
    width: 100% !important;
  }
}
